Bug 1305179 - binutils is FTBFS on aarch64
binutils is FTBFS on aarch64
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: binutils (Show other bugs)
rawhide
aarch64 Unspecified
urgent Severity urgent
: ---
: ---
Assigned To: Nick Clifton
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARM64/F-ExcludeArch-aarch64
  Show dependency treegraph
 
Reported: 2016-02-05 17:56 EST by Peter Robinson
Modified: 2016-02-11 01:23 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-11 01:23:16 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Robinson 2016-02-05 17:56:35 EST
binutils-2.26-8.fc24

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3379509


aarch64-redhat-linux-gcc -DHAVE_CONFIG_H -I.  -I. -I. -I../bfd -I./../bfd -I./../include  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -DENABLE_PLUGINS -DLOCALEDIR="\"/usr/share/locale\""  -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror -DELF_LIST_OPTIONS=TRUE -DELF_SHLIB_LIST_OPTIONS=TRUE -DELF_PLT_UNWIND_LIST_OPTIONS=FALSE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c eaarch64linux.c
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=arm.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o arm.o arm.cc
eaarch64linux.c: In function 'gldaarch64linux_local_finish':
eaarch64linux.c:366:3: error: implicit declaration of function 'gldaarch64linux_finish' [-Werror=implicit-function-declaration]
   gldaarch64linux_finish ();
   ^~~~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
Makefile:1478: recipe for target 'eaarch64linux.o' failed
make[4]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
make[4]: *** [eaarch64linux.o] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
Makefile:1713: recipe for target 'all-recursive' failed
make[3]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
Makefile:961: recipe for target 'all' failed
make[2]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
Makefile:7478: recipe for target 'all-ld' failed
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=arm-reloc-property.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o arm-reloc-property.o arm-reloc-property.cc
make[1]: *** [all-ld] Error 2
make[1]: *** Waiting for unfinished jobs....
Comment 1 Peter Robinson 2016-02-10 11:22:19 EST
So binutils-2.26-9.fc24 is still broken, Nick any chance you could take a look please?

http://arm.koji.fedoraproject.org/koji/taskinfo?taskID=3382815



aarch64-redhat-linux-gcc -DHAVE_CONFIG_H -I.  -I. -I. -I../bfd -I./../bfd -I./../include  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -DENABLE_PLUGINS -DLOCALEDIR="\"/usr/share/locale\""  -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror -DELF_LIST_OPTIONS=TRUE -DELF_SHLIB_LIST_OPTIONS=TRUE -DELF_PLT_UNWIND_LIST_OPTIONS=FALSE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c eaarch64linux.c
eaarch64linux.c: In function 'gldaarch64linux_local_finish':
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=powerpc.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o powerpc.o powerpc.cc
eaarch64linux.c:366:3: error: implicit declaration of function 'gldaarch64linux_finish' [-Werror=implicit-function-declaration]
   gldaarch64linux_finish ();
   ^~~~~~~~~~~~~~~~~~~~~~
aarch64-redhat-linux-gcc -DHAVE_CONFIG_H -I.  -I. -I. -I../bfd -I./../bfd -I./../include  -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -DENABLE_PLUGINS -DLOCALEDIR="\"/usr/share/locale\""  -W -Wall -Wstrict-prototypes -Wmissing-prototypes -Wshadow -Werror -DELF_LIST_OPTIONS=TRUE -DELF_SHLIB_LIST_OPTIONS=TRUE -DELF_PLT_UNWIND_LIST_OPTIONS=FALSE -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c eaarch64elf.c
eaarch64elf.c: In function 'gldaarch64elf_local_finish':
eaarch64elf.c:363:3: error: implicit declaration of function 'gldaarch64elf_finish' [-Werror=implicit-function-declaration]
   gldaarch64elf_finish ();
   ^~~~~~~~~~~~~~~~~~~~
cc1: all warnings being treated as errors
Makefile:1478: recipe for target 'eaarch64linux.o' failed
make[4]: *** [eaarch64linux.o] Error 1
make[4]: *** Waiting for unfinished jobs....
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=arm.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o arm.o arm.cc
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=arm-reloc-property.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o arm-reloc-property.o arm-reloc-property.cc
cc1: all warnings being treated as errors
Makefile:1478: recipe for target 'eaarch64elf.o' failed
make[4]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
make[4]: *** [eaarch64elf.o] Error 1
make[3]: *** [all-recursive] Error 1
make[2]: *** [all] Error 2
Makefile:1713: recipe for target 'all-recursive' failed
make[3]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
Makefile:961: recipe for target 'all' failed
make[2]: Leaving directory '/builddir/build/BUILD/binutils-2.26/ld'
Makefile:7478: recipe for target 'all-ld' failed
aarch64-redhat-linux-g++ -DHAVE_CONFIG_H -I.  -I. -I./../include -I./../elfcpp -DLOCALEDIR="\"/usr/share/locale\"" -DBINDIR="\"/usr/bin\"" -DTOOLBINDIR="\"/usr/bin\"" -DTOOLLIBDIR="\"/usr/lib\""   -W -Wall    -Werror -D_LARGEFILE_SOURCE -D_FILE_OFFSET_BITS=64 -frandom-seed=tilegx.o -I./../zlib -O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -c -o tilegx.o tilegx.cc
make[1]: *** [all-ld] Error 2
make[1]: *** Waiting for unfinished jobs....
Comment 2 Nick Clifton 2016-02-10 12:45:19 EST
oops - sorry about that.  This was due to an old patch being applied when it should have been retired.  If you try binutils-2.26-10.fc24 the problem should be resolved.
Comment 3 Peter Robinson 2016-02-11 01:23:16 EST
built thanks

Note You need to log in before you can comment on or make changes to this bug.